/*
 * include/asm-ppc/vg4.h
 * 
 * Definitions for SBS VG4 board support
 *
 * Author: Dag Nygren
 *         dag@newtech.fi
 *
 * Copyright 2000 Oy Espoon Newtech Ab
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 *
 * THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR   IMPLIED
 * WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 * NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT,  INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 * USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * You should have received a copy of the  GNU General Public License along
 * with this program; if not, write  to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __ASMPPC_VG4_H
#define __ASMPPC_VG4_H

#include <asm/m1543c.h>

/*
 * SBS VG4 definitions
 */

#define VG4_NVRAM_RTC_ADDR	 0x70
#define VG4_NVRAM_RTC_DATA	 0x71


#define VG4_ISA_IO_BASE		0x80000000
/* This is remapped in arch/ppc/kernel/vg4_setup.c because the Linux kernel needs 0x80000000 */
#define VG4_ISA_PHY_MEM_BASE	0xc0000000
/* remapped to: */
#define VG4_ISA_MEM_BASE	0xe0000000

#define VG4_PCI_PHY_IO_BASE		0x80000000
/* No remapping required */
#define VG4_PCI_IO_BASE			0x80000000

/* The situation seen from the hardware */
#define VG4_PCI_PHY_MEM_BASE	VG4_ISA_PHY_MEM_BASE
/* Remapped to this */
#define VG4_PCI_MEM_BASE		VG4_ISA_MEM_BASE

#define VG4_WATCHDOG		(0x160)
#define VG4_NMI_TIMER		(0x161)

#define VG4_FAIL_LED		(0x168)
#define	VG4_FLED_OFF		0x00
#define	VG4_FLED_ON			0x01

#define VG4_USER_LED		(0xe0b5)	
#define	VG4_ULED_MASK		(0x03)
#define	VG4_ULED_ON			(0x00)
#define	VG4_ULED_OFF		(0x01)
#define	VG4_ULED_BLINK_SLOW	(0x02)
#define	VG4_ULED_BLINK_FAST	(0x03)

#define VG4_LOCKR			(0x169)
#define VG4_LOCKR_UNLOCK	(0x05)
#define VG4_LOCKR_LOCK		(0x04)

#endif /* __ASMPPC_VG4_H */
